API DocumentationManufacturer requisition controller

Get requisition by ID

Retrieves a specific requisition by its ID

GET
/api/manufacturer/v1/requisition/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

ID of the requisition to retrieve

Formatint64

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/requisition/1"
{
  "id": 0,
  "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",
  "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",
  "orderId": 0,
  "orderNumber": "string",
  "customerOrganisationId": 0,
  "customerOrganisationName": "string",
  "pricingType": "string",
  "manualPrice": 0,
  "pricePaid": 0,
  "quantity": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "lastUpdated": "2019-08-24T14:15:22Z",
  "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",
  "workflow": [
    {
      "statusId": "e900225c-0629-4e96-be6e-86a17a309645",
      "sequence": 0
    }
  ],
  "variables": {
    "property1": 0,
    "property2": 0
  },
  "postProcessingVariables": [
    {
      "postProcessingId": 0,
      "variables": {
        "property1": 0,
        "property2": 0
      }
    }
  ],
  "duration": 0
}
Empty

Last updated on